@import url('https://fonts.googleapis.com/css2?family=Balthazar&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Racing+Sans+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oswald&display=swap');

:root {
    --default-font: "Lato", sans-serif;
    --header-font: "Balthazar", serif;
    --text-color: white;
    --border: url(/img/border.png) 14 / 14px;
}

* {
    overflow-wrap: break-word;
    transition-duration: 0.3s;
}

html {
    font-family: var(--default-font);
    color: var(--text-color);
    font-size: 16px;
    line-height: 1.8;
    scroll-behavior: smooth;
    background-color: black;
    background-image: url(/img/background.png);
    background-size: cover;
    background-attachment: fixed;
}

body {
    max-width: 70em;
    margin: auto;
}

article {
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(5px);
    border-image: var(--border);
}

/* text styling stuff */

a {
    color: #65e0ff;
}

a:hover {
    text-shadow: 0 0 3px #65e0ff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--header-font);
}

h1 {
    text-shadow: 0 0 5px black, 0 0 5px black, 0 0 5px black;
    margin: 0;
    text-align: center;
}

h2 {
    border-bottom: 1px solid RGBA(255, 255, 255, 0.5);
}

hr {
  height: 19px;
  border: none;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  background-image: url(/img/divider.png);
  margin-top: 20px;
  margin-bottom: 20px;
}

blockquote {
  border-left: 2px solid var(--text-color);
  padding-left: 1em;
}

summary {
    cursor: pointer;
}

.button {
    width: 150px;
    padding: 10px;
    margin: auto;
    text-align: center;
    font-family: var(--header-font);
    font-size: x-large;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(5px);
    border-image: var(--border);
}

.button a {
    text-decoration: none;
}

.button:hover {
    letter-spacing: 3px;
}

/* header and footer */

header img {
    max-height: 150px;
    object-fit: contain;
}

footer {
    text-align: center;
    text-shadow: 0 0 3px black, 0 0 3px black, 0 0 3px black, 0 0 3px black;
}

/* navigation my beloathed */

nav {
  display: flex;
  justify-content: center;
  margin: 10px 0;
  flex-direction: row;
  flex-wrap: wrap;
}

nav a {
  min-width: 8em;
  padding: 0;
  margin: auto;
  text-align: center;
  font-family: var(--header-font);
  background-color: rgba(0, 0, 0, 0.8);
  backdrop-filter: blur(5px);
  border-image: var(--border);
  text-decoration: none;
  color: white;
  font-size: 1.5em;
}


/* library stuff */

.library>.container {
    width: 100%;
    display: flex;
    min-height: 150px;
}

.library a {
    text-decoration: none;
}

.container img {
    max-width: 30%;
    height: 100%;
}

.container div {
    padding-left: 5px;
}

.container .title {
    font-weight: bolder;
    font-size: 2em;
    font-family: var(--header-font);
    line-height: 1;
}

.container .author {
    font-size: small;
}